function data = getData(variables,filename)
%getData: returns data set in matrix form corresponding to specific variables 
%       from a file
%   
%       variables: a cell array of k+1 variable names to use; first k are inputs 
%               indexed by their corresponding coefficients; k+1st entry is
%               the output variable
%
%       filename: name of the file whose data to retrieve (should be a
%               valid input for readtable, e.g. csv, txt, xlsx etc.)
%
%       data: a matrix with k+1 columns; first k columns correspond to the  
%           input variables in order of their coefficients; k+1st is a vector   
%           of the output variables; rows correspond to observation numbers
%
T=readtable(filename);
data = T{:,variables};

%add condition
%filter = T.engineer==1;
%data = T{filter,variables};
end

