function [beta,costVec] = gradientDescent(data)
%gradientDescent: takes the data output of getData() and uses a gradient
%descent algorithm to compute the intercept and coefficients of a linear
%predictor function. 
%   
%   data: a matrix with k+1 columns; first k columns correspond to the  
%       input variables in order of their coefficients; k+1st is a vector   
%       of the output variables; rows correspond to observation numbers
%
%   beta: a vector of k+1 entries corresponding to b0, ... , bk respectively
%
%   costVec: a vector of the cost function value at each iteration

%Initialize b0, ... , bk, alpha, iterations/stopping condition, and cost
%vector
n = length(data);
k = size(data,2)-1;
iter = 50000;
alpha=.0005;
costVec = zeros(1,iter);
beta = zeros(1,k+1);

for i=1:iter
    [cost, grad] = costFuncVec(data,beta);
    costVec(i)=cost;
    beta = beta - alpha*grad';
end
end